/* Code written by Per Winkvist (Per.Winkvist@UK.COM)
 * In 1999
 * See README and COPYING for further details
 *
 */


#ifndef __GLILO_GUI_H__
#define __GLILO_GUI_H__

#include <gtk/gtk.h>
#include "../lilocommon/llist.h"
#include "../lilocommon/memwatch.h"

typedef struct {
  GtkWidget *mainwindow;
  GtkCTree  *lilotree; /* Where the lilo files are loaded */
  GtkWidget *statusbar;
  GtkWidget *sectionlist; /* Displays a lilo section from file */
  GtkWidget *namelabel[2]; /* Will probably be more dynamic soon */
  GtkWidget *argentry[2];
  GtkWidget *table1; /* The table for the upper right frame */
  GtkWidget *textbar;   /* Holds all helptext */
  GtkWidget *keylist; /* The clist to right w/ keywords a user can add */
  
  LLIST *lilodata;
} GLILO_GUI;


void create_main_window();
GLILO_GUI *main_gui;


#endif
