/* Code written by Per Winkvist (Per.Winkvist@UK.COM)
 * In 1999
 * See README and COPYING for further details
 *
 */

#ifndef __GLILO_MENUBAR__H
#define __GLILO_MENUBAR__H

#include <gtk/gtk.h>
#include "../lilocommon/memwatch.h"

/* Use this function to set the directory containing installed pixmaps. */
void add_pixmap_directory (gchar *directory);

/* This is an internally used function to create pixmaps. */
GtkWidget* create_pixmap (GtkWidget *widget, gchar *filename);

GtkWidget* create_toolbar (GtkWidget *window);


#endif
/* eof */
