%define ver      0.4
%define prefix   /usr

Summary: A graphical tool for lilo.conf files.
Name: glilo
Version: %ver
Release: 1
Copyright: GPL
Group: Applications/System
Source: http://www.student.hig.se/~nd96pwt/glilo/glilo-%{ver}.tar.gz
URL: http://www.student.hig.se/~nd96pwt/glilo/glilo.html
Requires: glib gtk+

%description
GLilo is a program that will let you modify a lilo.conf file graphically. You can create and remove images,"others",options,arguments...
It it written using the gtk+ widget set.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%files
%defattr(-,root,root)

%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL CREDITS
%{prefix}/bin/glilo
%{prefix}/share/glilo/*
