/* Code written by Per Winkvist (Per.Winkvist@UK.COM)
 * In 1999
 * See README and COPYING for further details
 *
 */

#ifndef __GLILO_SECTION_H__
#define __GLILO_SECTION_H__

#include <gtk/gtk.h>
#include "../lilocommon/llist.h"
#include "../lilocommon/memwatch.h"
#include "glilo_gui.h"

typedef struct {
  int row;
  int has_post_arg;
} LILO_SECTION_DATA;


void hide_illegal_buttons (GLILO_GUI *gui);

void load_data_from_section (GLILO_GUI *gui,gint section,gint sec_id);

void section_view_part (GtkWidget *clist, GLILO_GUI *gui, LLIST *ldata,gint row);

void section_add_option (GLILO_GUI *gui);

void section_remove_option(GLILO_GUI *gui);

void section_update(GLILO_GUI *gui, LLIST *ldata);

void remove_data_from_section (GtkCList *clist);

#endif
