/* Code written by Per Winkvist (Per.Winkvist@UK.COM)
 * In 1999
 * See README and COPYING for further details
 *
 */


#ifndef __LILO_GUI_SIG_H__
#define __LILO_GUI_SIG_H__

#include <gtk/gtk.h>
#include "glilo_gui.h"

#include "../lilocommon/memwatch.h"


void on_Quit_activate (GtkMenuItem *menuitem,
                       gpointer data);

void on_Edit_activate (GtkMenuItem *menuitem,
                       gpointer data);

void on_Help_activate (GtkMenuItem *menuitem,
                       gpointer data);

void on_About_activate (GtkMenuItem *menuitem,
                        gpointer data);

void on_New_lilo_file_activate (GtkMenuItem *menuitem,
                                 gpointer data);

void on_Open_lilo_file_activate (GtkMenuItem *menuitem,
                                 gpointer data);

void on_Open_lilo_file_ok_sel (GtkWidget *widget,
                               GtkFileSelection *filesel);

void on_Save_lilo_file_activate (GtkMenuItem *menuitem,
                                 gpointer data);

void on_SaveAs_lilo_file_activate (GtkMenuItem *menuitem,
                                   gpointer data);

void on_SaveAs_lilo_file_ok_sel (GtkWidget *widget,
                               GtkFileSelection *filesel);

void on_Preview_activate (GtkMenuItem *menuitem,
                          gpointer data);

void on_Add_global_activate (GtkMenuItem *menuitem,
                             gpointer data);

void on_Add_image_activate (GtkMenuItem *menuitem,
                          gpointer data);

void on_Add_other_activate (GtkMenuItem *menuitem,
                          gpointer data);

void on_Report_bugs_activate (GtkMenuItem *menuitem,
                          gpointer data);

void on_Lilo_tree_select (GtkCTree *ctree,GList *row, gint column);

void on_Lilo_tree_collapse (GtkCTree *ctree,GList *row, gint column);

void on_Section_list_select (GtkWidget *clist,gint row,gint col,
                             GdkEventButton *event, gpointer *data);

void on_Update_button_click (GtkWidget *widget,gpointer data);

void on_Add_button_click (GtkWidget *widget,gpointer data);

void on_Remove_button_click (GtkWidget *widget,gpointer data);

void on_Keylist_select (GtkWidget *clist,gint row,gint col,
                        GdkEventButton *event, gpointer *data);

void on_GetFile_button_click (GtkWidget *widget,gpointer data);

void on_GetFile_ok_sel (GtkWidget *widget, GtkFileSelection *filesel);

void file_abandon (GtkWidget *widget, gpointer data);

void open_lilo_file(char *filename);

void save_lilo_file(char *filename);

void save_to_lilo_file_real(char *filename);

#endif
