/* Code written by Per Winkvist (Per.Winkvist@UK.COM)
 * In 1999
 * See README and COPYING for further details
 *
 */


#ifndef __LILO_PARSE_H__
#define __LILO_PARSE_H__

#include "memwatch.h"
#include "llist.h"

/* Returns number of lines parsed.
 * If lines == 0 then an parse error occured
 * if lines > 0 parse was successful, but an
 * warning might have occured.
 */
int lilo_parse (char *filename, LLIST **lstruct, LLIST **messages);

#endif
