/* Code written by Per Winkvist (Per.Winkvist@UK.COM)
 * In 1998
 * See README and COPYING for further details
 *
 */


#ifndef __MESSAGE_H__
#define __MESSAGE_H__

#include <stdlib.h>
#include <stdio.h>
#include "llist.h"
#include "memwatch.h"

#define MESSAGE_SIZE 80 /* max length of every error message */

void createmess(void);
void insertmess(char *text);
LLIST *getmesslist(void);
void setmesslist(LLIST *mlist);
void printmess(void);
void freemess(void);
int messcount(void);

#endif




