/* Code written by Per Winkvist (Per.Winkvist@UK.COM)
 * In 1999
 * See README and COPYING for further details
 *
 */


#ifndef __SCAN_H__
#define __SCAN_H__

/* Public */
void clean_up_scan(void); /* Called if bison ret != 0. And yywrap() */


/* Private to the scanner */
void error_wrong_scope (void); /* save message since keyword is in wrong scope*/
void check_expect_arg(void); /* save message if the argument is foobar */
void error_expect_string (void); /* Do we need a string ? */
void error_expect_keyword(void); /* save message if we needed keyword */
void error_expect_other_keyword (void); /* Is post_req wrong ? */
void error_expect_other_keyword_first (void); /* Is post_req wrong ? */
void error_expect_assign (void); /* wasn't a '=' supplied */
void error_no_quote_here (void);  /* Keyword won't accept "" */
void error_no_env_found (void);  /* We didn't find env. variable */
void reset_from_error (void);

#endif
